Source: haskell-pipes-group
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 Clint Adams <clint@debian.org>,
Priority: optional
Section: haskell
Rules-Requires-Root: no
Build-Depends:
 cdbs,
 debhelper (>= 10),
 ghc (>= 8),
 ghc-prof,
 haskell-devscripts (>= 0.13),
 libghc-free-dev (>= 3.2),
 libghc-free-dev (<< 5.2),
 libghc-free-prof,
 libghc-pipes-dev (>= 4.0),
 libghc-pipes-dev (<< 4.4),
 libghc-pipes-prof,
 libghc-pipes-parse-dev (>= 3.0.0),
 libghc-pipes-parse-dev (<< 3.1),
 libghc-pipes-parse-dev (>= 3.0.0),
 libghc-pipes-parse-prof,
 libghc-pipes-prof,
Build-Depends-Indep:
 ghc-doc,
 libghc-free-doc,
 libghc-pipes-doc,
 libghc-pipes-parse-doc,
Standards-Version: 4.5.0
Homepage: https://hackage.haskell.org/package/pipes-group
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-pipes-group
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-pipes-group]
X-Description: group streams into substreams
 pipes-group uses FreeT and lenses to group streams into sub-streams.
 Notable features include:
  * Perfect Streaming: Group elements without collecting them into memory
  * Lens Support: Use lenses to simplify many common operations

Package: libghc-pipes-group-dev
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-pipes-group-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-pipes-group-doc
Architecture: all
Section: doc
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}
